Postgresql 8 Don't work?

Hello.

Postgesql 7 it’s older version of Postgresl used by virtualmin (I don’t see waht it’s his uses, but on debian machine it’s dependenci of virtualmin base)

For my customer I need use Postgresl.

Well.

If activate module of Postgresql, I don’t see any change and can modifiy templates for Postgresql.

Also get a other problem.

After activate Postgresql module, I deactivated this module. ALso, move postgresql-7 init file, for only start postgreqsl-8 server.

Now, a meesage error appears on my Virtalmin Pro system and can’t see anything report…
DBI connect failed : FATAL: no existe la base de datos «gesiocom»

How can get any help?